Till now, tons of 3ds flashcarts can work on the latest 3ds/dsi system.

Yeah, ace3ds.com team released the newest ace3ds plus to support the 3ds v4.5 and dsi v1.45 directly.

But please notice that just the one which is marked with “001″ or “001A” on PCB can support it.

Just take a look at the following pics:

ace3dsplus new package

new ace3ds plus

Those old ace3ds plus flashcart owners, please just wait for the updated patch,

their team is still working hard on it, they will release it soon.

 

 

 

Post to Twitter

Related Posts: